Inicie uma tarefa de ampliação 4x de vídeo com Runway via CometAPI usando POST /runwayml/v1/video_upscale, limitada a 4096px por lado e com versionamento.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_upscale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"model": "upscale_v1"
}
'{
"id": "<string>"
}X-Runway-Version obrigatório, por exemplo 2024-11-06model: upscale_v1videoUri HTTPS estávelConsulte até a conclusão
Bearer token authentication. Use your CometAPI key.
Runway version header, for example 2024-11-06.
Task accepted.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_upscale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"model": "upscale_v1"
}
'{
"id": "<string>"
}